Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.classparser
Class ParserUtils

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.classparser.ParserUtils

    public class ParserUtils

extends Object

Field Summary
`static char[]` | `INITIAL_CHARACTERS_REQUIRING_QUOTES`
`static String` | `RESTRICTIONS_CAN_USE_BROWSER_TEXT`
`static String` | `SINGLE_QUOTE_STRING`
`static String[]` | `SUBSTRINGS_REQUIRING_QUOTES`

Constructor Summary
`ParserUtils()`

Method Summary
`static String` | `dequoteIdentifier(String id)`
`static int` | `findSplittingPoint(String text)` This routine tries a simple approach to splitting the portion of the text String between 0 and pos-1 into the prefix (which hopefully is well formed) and the suffix which needs to be auto-completed.
`static RDFResource` | `getFrameByName(OWLModel model, String name)`
`static OWLNamedClass` | `getOWLClassFromName(OWLModel model, String name)`
`static OWLDatatypeProperty` | `getOWLDatatypePropertyFromName(OWLModel model, String name)`
`static OWLIndividual` | `getOWLIndividualFromName(OWLModel model, String name)`
`static OWLObjectProperty` | `getOWLObjectPropertyFromName(OWLModel model, String name)`
`static RDFProperty` | `getRDFPropertyFromName(OWLModel model, String name)`
`static RDFResource` | `getRDFResourceFromName(OWLModel model, String name)`
`static RDFResource` | `getRDFResourceFromRDFSLabel(OWLModel model, String label)`
`static RDFSClass` | `getRDFSClassFromName(OWLModel model, String name)`
`static boolean` | `isIdChar(char ch)`
`static boolean` | `isLexError(Error e)`
`static String` | `quoteIfNeeded(String id)`
`static boolean` | `quoteNeeded(String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESTRICTIONS_CAN_USE_BROWSER_TEXT

    public static final String RESTRICTIONS_CAN_USE_BROWSER_TEXT

See Also:
  Constant Field Values

### SINGLE_QUOTE_STRING

    public static final String SINGLE_QUOTE_STRING

See Also:
  Constant Field Values

### SUBSTRINGS_REQUIRING_QUOTES

    public static final String[] SUBSTRINGS_REQUIRING_QUOTES

### INITIAL_CHARACTERS_REQUIRING_QUOTES

    public static final char[] INITIAL_CHARACTERS_REQUIRING_QUOTES

Constructor Detail

### ParserUtils

    public ParserUtils()

Method Detail

### getFrameByName

    public static RDFResource getFrameByName(OWLModel model,
                                             String name)
                                      throws AmbiguousNameException

  Throws:
    `AmbiguousNameException`

### getOWLClassFromName

    public static OWLNamedClass getOWLClassFromName(OWLModel model,
                                                    String name)
                                             throws AmbiguousNameException

  Throws:
    `AmbiguousNameException`

### getRDFPropertyFromName

    public static RDFProperty getRDFPropertyFromName(OWLModel model,
                                                     String name)
                                              throws AmbiguousNameException

  Throws:
    `AmbiguousNameException`

### getOWLDatatypePropertyFromName

    public static OWLDatatypeProperty getOWLDatatypePropertyFromName(OWLModel model,
                                                                     String name)
                                                              throws AmbiguousNameException

  Throws:
    `AmbiguousNameException`

### getOWLObjectPropertyFromName

    public static OWLObjectProperty getOWLObjectPropertyFromName(OWLModel model,
                                                                 String name)
                                                          throws AmbiguousNameException

  Throws:
    `AmbiguousNameException`

### getRDFResourceFromName

    public static RDFResource getRDFResourceFromName(OWLModel model,
                                                     String name)
                                              throws AmbiguousNameException

  Throws:
    `AmbiguousNameException`

### getRDFResourceFromRDFSLabel

    public static RDFResource getRDFResourceFromRDFSLabel(OWLModel model,
                                                          String label)
                                                   throws AmbiguousNameException

  Throws:
    `AmbiguousNameException`

### getRDFSClassFromName

    public static RDFSClass getRDFSClassFromName(OWLModel model,
                                                 String name)
                                          throws AmbiguousNameException

  Throws:
    `AmbiguousNameException`

### getOWLIndividualFromName

    public static OWLIndividual getOWLIndividualFromName(OWLModel model,
                                                         String name)
                                                  throws AmbiguousNameException

  Throws:
    `AmbiguousNameException`

### quoteIfNeeded

    public static String quoteIfNeeded(String id)

### quoteNeeded

    public static boolean quoteNeeded(String id)

### dequoteIdentifier

    public static String dequoteIdentifier(String id)

### isLexError

    public static boolean isLexError(Error e)

### findSplittingPoint

    public static int findSplittingPoint(String text)

  This routine tries a simple approach to splitting the portion of the text String between 0 and pos-1 into the prefix (which hopefully is well formed) and the suffix which needs to be auto-completed. This routein attempts two approaches. If there is no quoting action on the strings then it starts working backwards from the last character to find the first character that cannot be part of an unquoted identifier. Thus for the string hasTopping some Chees ^ the routine will work backwards over the letters 's', 'e', 'e', 'h', 'C' and will stop at the space. In the second case the user is quoting an identifier that needs auto-completion. In this case the routine will work backwards to the last quote symbol. Thus for the string hasTopping some 'Chees ^ The routine will work backwards to the quote just before the 'C'.

  Parameters:
    `text` -

### isIdChar

    public static boolean isIdChar(char ch)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.